openapi: 3.0.2
info:
  title: ApiAuth connect.eyefi.com.au OpenAPI v1.0.11
  version: 1.0.11
  termsOfService: https://connect.eyefi.com.au/terms_and_conditions
  description: 'ApiAuth connect.eyefi.com.au OpenAPI v1.0.11

    This is the schema allowing the above user to access APIs located at https://connect.eyefi.com.au/'
paths:
  /api_auth/1/form_choices:
    get:
      operationId: getApiFormChoices
      description: '# API Form Choices


        `GET`:

        A variety of data representing Form choices and other useful mapping information'
      parameters: []
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Form Choices Resource (fields/parameters to messages)
            Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Form Choices Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAuthFormChoices'
          description: Api Auth Form Choices Resource OK
      tags:
      - api-auth
  /api_auth/1/login:
    get:
      operationId: getApiLogin
      description: '# API Authentication Login:'
      parameters: []
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Login Resource (fields/parameters to messages) Bad
            Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Login Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAuthLogin'
          description: Api Auth Login Resource OK
      tags:
      - api-auth
    post:
      operationId: postApiLogin
      description: '# API Authentication Login:'
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiAuthLogin'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ApiAuthLogin'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ApiAuthLogin'
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Login Resource (fields/parameters to messages) Bad
            Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Login Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoneType'
          description: Api Auth Login Resource OK
      tags:
      - api-auth
    patch:
      operationId: patchApiLogin
      description: '# API Authentication Login:'
      parameters: []
      requestBody:
        content:
          application/json:
            schema: {}
          application/x-www-form-urlencoded:
            schema: {}
          multipart/form-data:
            schema: {}
      responses:
        '200':
          description:
            description: Api Auth Login Htm L Form OK
          content:
            text/html:
              schema:
                type: string
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Login Htm L Form Too Many Requests
      tags:
      - api-auth
  /api_auth/1/logout:
    get:
      operationId: getApiLogout
      description: '# API Authentication Logout:


        `GET`:


        If query parameter `?logout=1` is set, `HTTP 302` redirect to `./api_login`

        and logout user from session.


        If not returns `HTTP 200` and do nothing.


        If the query parameter `&remove_verified=1` is set then delete "verified"
        cookie.'
      parameters: []
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Resource (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Resource Too Many Requests
        '302':
          description: Logout Found
      tags:
      - api-auth
  /api_auth/1/metadata:
    get:
      operationId: getApiMetadata
      description: '# API Authentication Metadata:


        `GET`:

        JSON Object containing metadata for user authentication status, the user object,
        and the server status.


        `copyright_year` is the year of the copyright notice.


        `server_version` is the version hash of the deployed server software.


        `server_version_datetime` is the timestamp of the server version.


        `user` is the user object.


        `user_is_verified` will be false if the user is authenticated but has no

        "verified" cookie. The user needs to submit the code via `./verify`


        `user_is_authenticated` will be false if the user is not authenticated, and

        the user should log in via `./login`.


        `help_url` will be the base URL to use for help links.

        Append `#topic_name` to this for link to relevant help.


        `rsa_public_pem_url` will be the URL to fetch the rsa_public.pem from'
      parameters: []
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Metadata Resource (fields/parameters to messages)
            Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Metadata Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAuthMetadata'
          description: Api Auth Metadata Resource OK
      tags:
      - api-auth
  /api_auth/1/random:
    get:
      operationId: getApiRandom
      description: '# API Authentication Random Text Generator:


        `GET`:


        JSON object with a securely generated random string suitable for a password,
        e.g.:


        `{ "length": 16, "text": "!234567890ABcd3+" }`


        If the query parameter `?length=32` is set this will be used as the length
        to generate.'
      parameters:
      - name: length
        description: length of text to generate
        required: false
        schema:
          type: integer
        in: query
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Random Resource (fields/parameters to messages) Bad
            Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Random Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAuthRandom'
          description: Api Auth Random Resource OK
      tags:
      - api-auth
  /api_auth/1/rate_limits:
    get:
      operationId: getApiRateLimits
      description: '# API Authentication Rate Limits:


        `GET`:

        JSON Object containing `rate_limits` Object indicating rate limits applied
        to various API methods.


        This data is available as information on expectations to developers using
        this API.


        Throttled API requests will return response HTTP 429 with a Retry-After: header.


        API clients should take note that everything may return with a throttled response
        and handle that.'
      parameters: []
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Rate Limits Resource (fields/parameters to messages)
            Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Rate Limits Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAuthRateLimits'
          description: Api Auth Rate Limits Resource OK
      tags:
      - api-auth
  /api_auth/1/verify:
    get:
      operationId: getApiVerify
      description: '# API Authentication Verify:


        Expects to have either: `Authentication: Bearer token` or valid "session"
        cookie with login user.


        `GET`:

        JSON object with data about verification


        - `user` is the authenticated user. Note: the URLs will not be accessible
        unless the user is authenticated.

        - `user_is_authenticated` will be true, if it is false then HTTP 302 to `./api_login`

        - `user_is_verified` will be true if the user already has a valid "verified"
        cookie.

        - `email_action` will be:

        1. "sent" if the user has just been sent the code via email,

        2. "resent" if the query parameter `?resend=1` is set (and a new verify email
        is sent)

        3. null otherwise


        `POST`:


        Expects JSON data (or HTML form encoding):

        ` { "code": "123456", "trust": false } `


        if `trust` is true, the "verified" cookie will expire in 60 days, otherwise
        2

        weeks.


        Unsuccessful submissions will return:


        - HTTP 422 for invalid JSON input

        - HTTP 403 if `code` is incorrect.


        Successful submission will return same JSON as `GET` plus additional entries:


        - `"jwt_expiry": "2109-12-31T12:34:56+0000"`

        - `"x_verified_jwt": "...jwt..."`


        Which should be used to set HTTP header `X-Verified-JWT: ...jwt...`.


        `PATCH`:

        HTML Form for human input verify code'
      parameters:
      - name: resend
        description: Resend verify code email to user
        required: false
        schema:
          type: boolean
        in: query
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Verify Resource (fields/parameters to messages) Bad
            Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Verify Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAuthVerify'
          description: Api Auth Verify Resource OK
      tags:
      - api-auth
    post:
      operationId: postApiVerify
      description: '# API Authentication Verify:


        Expects to have either: `Authentication: Bearer token` or valid "session"
        cookie with login user.


        `GET`:

        JSON object with data about verification


        - `user` is the authenticated user. Note: the URLs will not be accessible
        unless the user is authenticated.

        - `user_is_authenticated` will be true, if it is false then HTTP 302 to `./api_login`

        - `user_is_verified` will be true if the user already has a valid "verified"
        cookie.

        - `email_action` will be:

        1. "sent" if the user has just been sent the code via email,

        2. "resent" if the query parameter `?resend=1` is set (and a new verify email
        is sent)

        3. null otherwise


        `POST`:


        Expects JSON data (or HTML form encoding):

        ` { "code": "123456", "trust": false } `


        if `trust` is true, the "verified" cookie will expire in 60 days, otherwise
        2

        weeks.


        Unsuccessful submissions will return:


        - HTTP 422 for invalid JSON input

        - HTTP 403 if `code` is incorrect.


        Successful submission will return same JSON as `GET` plus additional entries:


        - `"jwt_expiry": "2109-12-31T12:34:56+0000"`

        - `"x_verified_jwt": "...jwt..."`


        Which should be used to set HTTP header `X-Verified-JWT: ...jwt...`.


        `PATCH`:

        HTML Form for human input verify code'
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiAuthVerify'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ApiAuthVerify'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ApiAuthVerify'
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Verify Resource (fields/parameters to messages) Bad
            Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Verify Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoneType'
          description: Api Auth Verify Resource OK
      tags:
      - api-auth
    patch:
      operationId: patchApiVerify
      description: '# API Authentication Verify:


        Expects to have either: `Authentication: Bearer token` or valid "session"
        cookie with login user.


        `GET`:

        JSON object with data about verification


        - `user` is the authenticated user. Note: the URLs will not be accessible
        unless the user is authenticated.

        - `user_is_authenticated` will be true, if it is false then HTTP 302 to `./api_login`

        - `user_is_verified` will be true if the user already has a valid "verified"
        cookie.

        - `email_action` will be:

        1. "sent" if the user has just been sent the code via email,

        2. "resent" if the query parameter `?resend=1` is set (and a new verify email
        is sent)

        3. null otherwise


        `POST`:


        Expects JSON data (or HTML form encoding):

        ` { "code": "123456", "trust": false } `


        if `trust` is true, the "verified" cookie will expire in 60 days, otherwise
        2

        weeks.


        Unsuccessful submissions will return:


        - HTTP 422 for invalid JSON input

        - HTTP 403 if `code` is incorrect.


        Successful submission will return same JSON as `GET` plus additional entries:


        - `"jwt_expiry": "2109-12-31T12:34:56+0000"`

        - `"x_verified_jwt": "...jwt..."`


        Which should be used to set HTTP header `X-Verified-JWT: ...jwt...`.


        `PATCH`:

        HTML Form for human input verify code'
      parameters: []
      requestBody:
        content:
          application/json:
            schema: {}
          application/x-www-form-urlencoded:
            schema: {}
          multipart/form-data:
            schema: {}
      responses:
        '200':
          description:
            description: Api Auth Verify Htm L Form OK
          content:
            text/html:
              schema:
                type: string
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Verify Htm L Form Too Many Requests
      tags:
      - api-auth
  /api_auth/1/auth_token:
    get:
      operationId: getApiAuthToken
      description: '# API Authentication Token


        `GET`:

        JSON Object containing `authtoken` Object.


        `{"authtoken": { "token": "...", "exp": 12345 }}`


        This is only available to verified users.'
      parameters: []
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Token Resource (fields/parameters to messages) Bad
            Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Token Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAuthAuthToken'
          description: Api Auth Token Resource OK
      tags:
      - api-auth
  /api_auth/1/customer_signup:
    post:
      operationId: postApiCustomerSignup
      description: '# API Authentication Customer Signup:


        `POST`:


        Expects JSON data (or HTML form encoding).


        On submission without verify `code`: sends verify code to `contact_email`.


        On submission with valid verify `code`:

        Creates Customer and first Customer Admin User, then sends User welcome email.'
      parameters:
      - name: resend
        description: Just resend verification email
        required: false
        schema:
          type: boolean
        in: query
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiAuthCustomerSignup'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ApiAuthCustomerSignup'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ApiAuthCustomerSignup'
      responses:
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Customer Signup Resource (fields/parameters to messages)
            Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Customer Signup Resource Too Many Requests
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoneType'
          description: Api Auth Customer Signup Resource OK
      tags:
      - api-auth
  /api_auth/1/password_reset:
    post:
      operationId: postApiPasswordReset
      description: '# API Authentication Password Reset:


        `POST`:


        Expects JSON data (or HTML form encoding):


        `{ "email": "foo.bar@example.com.invalid" }`


        Always returns `HTTP 200` text/plain "Reset email has been sent if email exists
        and is valid"'
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiAuthPasswordReset'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ApiAuthPasswordReset'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ApiAuthPasswordReset'
      responses:
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Api Auth Password Reset Resource Too Many Requests
        '200':
          description:
            description: Api Auth Password Reset Resource OK
          content:
            text/plain:
              schema:
                type: string
      tags:
      - api-auth
components:
  schemas:
    ApiAuthFormChoices:
      type: object
      properties:
        countries:
          type: object
          description: Countries to search for Geocode
        device_statuses:
          type: object
          description: Device Statuses
        group_per_page_enums:
          type: array
          items:
            type: object
            properties:
              key:
                type: integer
              value:
                type: string
            required:
            - key
            - value
          description: Group Per Page Enums
        group_per_pages:
          type: object
          description: Group Per Page Statuses
        recording_fetch_statuses:
          type: object
          description: Recording Fetch Statuses
        seller_types:
          type: object
          description: Seller Types
        sellers:
          type: array
          items:
            type: object
            properties:
              seller_uuid:
                type: string
                format: uuid
                readOnly: true
              abn:
                type: string
                readOnly: true
              get_seller_type_display:
                type: string
                readOnly: true
              name:
                type: string
                readOnly: true
              seller_type:
                enum:
                - reseller
                - system_integrator
                type: string
                readOnly: true
          description: Sellers for Customer Signup
        timezones:
          type: object
          description: Valid Timezone Choices
        timezone_offsets:
          type: object
          description: Timezone offsets
      required:
      - countries
      - device_statuses
      - group_per_page_enums
      - group_per_pages
      - recording_fetch_statuses
      - seller_types
      - sellers
      - timezones
      - timezone_offsets
    ApiErrors:
      type: object
      properties:
        errors:
          type: object
          description: Mapping fields/parameters to error(s) [could be list or string]
        inputs:
          type: object
          description: Input data (only available on dev systems for some operations)
      required:
      - errors
    ApiAuthLogin:
      type: object
      properties:
        email:
          type: string
          format: email
        enc_password:
          type: string
          description: base64 encoded RSA-OAEP (md sha512 mgf1 sha1) utf-8 binary
            password
        terms_checkbox:
          type: boolean
          description: Set true if User has Accepted Terms and Conditions
        public_rsa_key:
          type: string
          readOnly: true
          description: RSA Public Key for encrypting password
        site_name:
          type: string
          readOnly: true
          description: Site Name
        help_url:
          type: string
          format: uri
          readOnly: true
          pattern: "^(?:[a-z0-9.+-]*)://(?:[^\\s:@/]+(?::[^\\s:@/]*)?@)?(?:(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)(?:\\\
            .(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)){3}|\\[[0-9a-f:.]+\\\
            ]|([a-z\xA1-\uFFFF0-9](?:[a-z\xA1-\uFFFF0-9-]{0,61}[a-z\xA1-\uFFFF0-9])?(?:\\\
            .(?!-)[a-z\xA1-\uFFFF0-9-]{1,63}(?<!-))*\\.(?!-)(?:[a-z\xA1-\uFFFF-]{2,63}|xn--[a-z0-9]{1,59})(?<!-)\\\
            .?|localhost))(?::[0-9]{1,5})?(?:[/?#][^\\s]*)?\\z"
        terms_and_conditions_url:
          type: string
          format: uri
          readOnly: true
          pattern: "^(?:[a-z0-9.+-]*)://(?:[^\\s:@/]+(?::[^\\s:@/]*)?@)?(?:(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)(?:\\\
            .(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)){3}|\\[[0-9a-f:.]+\\\
            ]|([a-z\xA1-\uFFFF0-9](?:[a-z\xA1-\uFFFF0-9-]{0,61}[a-z\xA1-\uFFFF0-9])?(?:\\\
            .(?!-)[a-z\xA1-\uFFFF0-9-]{1,63}(?<!-))*\\.(?!-)(?:[a-z\xA1-\uFFFF-]{2,63}|xn--[a-z0-9]{1,59})(?<!-)\\\
            .?|localhost))(?::[0-9]{1,5})?(?:[/?#][^\\s]*)?\\z"
        privacy_policy_url:
          type: string
          format: uri
          readOnly: true
          pattern: "^(?:[a-z0-9.+-]*)://(?:[^\\s:@/]+(?::[^\\s:@/]*)?@)?(?:(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)(?:\\\
            .(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)){3}|\\[[0-9a-f:.]+\\\
            ]|([a-z\xA1-\uFFFF0-9](?:[a-z\xA1-\uFFFF0-9-]{0,61}[a-z\xA1-\uFFFF0-9])?(?:\\\
            .(?!-)[a-z\xA1-\uFFFF0-9-]{1,63}(?<!-))*\\.(?!-)(?:[a-z\xA1-\uFFFF-]{2,63}|xn--[a-z0-9]{1,59})(?<!-)\\\
            .?|localhost))(?::[0-9]{1,5})?(?:[/?#][^\\s]*)?\\z"
        token:
          type: string
          readOnly: true
          description: 'On successful login, returned token for `Authentication: Bearer
            ...token...`'
        user_is_verified:
          type: boolean
          readOnly: true
          description: On successful login, true if user is already verified else
            false
      required:
      - email
      - enc_password
      - terms_checkbox
    ApiAuthMetadata:
      type: object
      properties:
        copyright_year:
          type: integer
          readOnly: true
          description: Year for copyright message
        help_url:
          type: string
          format: uri
          readOnly: true
          pattern: "^(?:[a-z0-9.+-]*)://(?:[^\\s:@/]+(?::[^\\s:@/]*)?@)?(?:(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)(?:\\\
            .(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)){3}|\\[[0-9a-f:.]+\\\
            ]|([a-z\xA1-\uFFFF0-9](?:[a-z\xA1-\uFFFF0-9-]{0,61}[a-z\xA1-\uFFFF0-9])?(?:\\\
            .(?!-)[a-z\xA1-\uFFFF0-9-]{1,63}(?<!-))*\\.(?!-)(?:[a-z\xA1-\uFFFF-]{2,63}|xn--[a-z0-9]{1,59})(?<!-)\\\
            .?|localhost))(?::[0-9]{1,5})?(?:[/?#][^\\s]*)?\\z"
        terms_and_conditions_url:
          type: string
          format: uri
          readOnly: true
          pattern: "^(?:[a-z0-9.+-]*)://(?:[^\\s:@/]+(?::[^\\s:@/]*)?@)?(?:(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)(?:\\\
            .(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)){3}|\\[[0-9a-f:.]+\\\
            ]|([a-z\xA1-\uFFFF0-9](?:[a-z\xA1-\uFFFF0-9-]{0,61}[a-z\xA1-\uFFFF0-9])?(?:\\\
            .(?!-)[a-z\xA1-\uFFFF0-9-]{1,63}(?<!-))*\\.(?!-)(?:[a-z\xA1-\uFFFF-]{2,63}|xn--[a-z0-9]{1,59})(?<!-)\\\
            .?|localhost))(?::[0-9]{1,5})?(?:[/?#][^\\s]*)?\\z"
        privacy_policy_url:
          type: string
          format: uri
          readOnly: true
          pattern: "^(?:[a-z0-9.+-]*)://(?:[^\\s:@/]+(?::[^\\s:@/]*)?@)?(?:(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)(?:\\\
            .(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)){3}|\\[[0-9a-f:.]+\\\
            ]|([a-z\xA1-\uFFFF0-9](?:[a-z\xA1-\uFFFF0-9-]{0,61}[a-z\xA1-\uFFFF0-9])?(?:\\\
            .(?!-)[a-z\xA1-\uFFFF0-9-]{1,63}(?<!-))*\\.(?!-)(?:[a-z\xA1-\uFFFF-]{2,63}|xn--[a-z0-9]{1,59})(?<!-)\\\
            .?|localhost))(?::[0-9]{1,5})?(?:[/?#][^\\s]*)?\\z"
        rsa_public_pem_url:
          type: string
          format: uri
          readOnly: true
          pattern: "^(?:[a-z0-9.+-]*)://(?:[^\\s:@/]+(?::[^\\s:@/]*)?@)?(?:(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)(?:\\\
            .(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)){3}|\\[[0-9a-f:.]+\\\
            ]|([a-z\xA1-\uFFFF0-9](?:[a-z\xA1-\uFFFF0-9-]{0,61}[a-z\xA1-\uFFFF0-9])?(?:\\\
            .(?!-)[a-z\xA1-\uFFFF0-9-]{1,63}(?<!-))*\\.(?!-)(?:[a-z\xA1-\uFFFF-]{2,63}|xn--[a-z0-9]{1,59})(?<!-)\\\
            .?|localhost))(?::[0-9]{1,5})?(?:[/?#][^\\s]*)?\\z"
        now_datetime:
          type: string
          format: date-time
          readOnly: true
        server_version:
          type: string
          readOnly: true
          description: Server Version Number
        server_version_datetime:
          type: string
          format: date-time
          readOnly: true
          description: Server Version creation datetime
        site_name:
          type: string
          readOnly: true
          description: Site Name
        user:
          type: object
          properties:
            my_user_url:
              type: string
              readOnly: true
            username:
              type: string
              readOnly: true
              description: Required. 150 characters or fewer. Letters, digits and
                @/./+/-/_ only.
            api_data:
              type: array
              items:
                type: object
                properties:
                  my_api_data_url:
                    type: string
                    readOnly: true
                  api_data_uuid:
                    type: string
                    format: uuid
                    readOnly: true
                  created:
                    type: string
                    format: date-time
                    readOnly: true
                  modified:
                    type: string
                    format: date-time
                    readOnly: true
                  username:
                    type: string
                    readOnly: true
                  json:
                    type: object
                  key:
                    type: string
                    pattern: ^[-a-zA-Z0-9_]+\z
                    minLength: 1
                    maxLength: 100
                required:
                - json
                - key
              readOnly: true
            customer_profile:
              type: object
              properties:
                is_customer_admin:
                  type: boolean
                  readOnly: true
              readOnly: true
            customer_url:
              type: string
              readOnly: true
            customer_uuid:
              type: string
              format: uuid
              readOnly: true
            distributor_profile:
              type: object
              properties:
                is_distributor_admin:
                  type: boolean
                  readOnly: true
              readOnly: true
            distributor_url:
              type: string
              readOnly: true
            distributor_uuid:
              type: string
              format: uuid
              readOnly: true
            email:
              type: string
              format: email
              readOnly: true
            is_active:
              type: boolean
              readOnly: true
              description: Designates whether this user should be treated as active.
                Unselect this instead of deleting accounts.
            is_superuser:
              type: boolean
              readOnly: true
              description: Designates that this user has all permissions without explicitly
                assigning them.
            my_api_data_url:
              type: string
              readOnly: true
            seller_profile:
              type: object
              properties:
                is_seller_admin:
                  type: boolean
                  readOnly: true
              readOnly: true
            seller_url:
              type: string
              readOnly: true
            seller_uuid:
              type: string
              format: uuid
              readOnly: true
            tz:
              enum:
              - Pacific/Midway
              - Pacific/Niue
              - Pacific/Pago_Pago
              - Pacific/Honolulu
              - Pacific/Rarotonga
              - Pacific/Tahiti
              - US/Hawaii
              - Pacific/Marquesas
              - America/Adak
              - Pacific/Gambier
              - America/Anchorage
              - America/Juneau
              - America/Metlakatla
              - America/Nome
              - America/Sitka
              - America/Yakutat
              - Pacific/Pitcairn
              - US/Alaska
              - America/Creston
              - America/Dawson
              - America/Dawson_Creek
              - America/Fort_Nelson
              - America/Hermosillo
              - America/Los_Angeles
              - America/Mazatlan
              - America/Phoenix
              - America/Tijuana
              - America/Vancouver
              - America/Whitehorse
              - Canada/Pacific
              - US/Arizona
              - US/Pacific
              - America/Bahia_Banderas
              - America/Belize
              - America/Boise
              - America/Cambridge_Bay
              - America/Chihuahua
              - America/Ciudad_Juarez
              - America/Costa_Rica
              - America/Denver
              - America/Edmonton
              - America/El_Salvador
              - America/Guatemala
              - America/Inuvik
              - America/Managua
              - America/Merida
              - America/Mexico_City
              - America/Monterrey
              - America/Regina
              - America/Swift_Current
              - America/Tegucigalpa
              - Canada/Mountain
              - Pacific/Easter
              - Pacific/Galapagos
              - US/Mountain
              - America/Atikokan
              - America/Bogota
              - America/Cancun
              - America/Cayman
              - America/Chicago
              - America/Eirunepe
              - America/Guayaquil
              - America/Indiana/Knox
              - America/Indiana/Tell_City
              - America/Jamaica
              - America/Lima
              - America/Matamoros
              - America/Menominee
              - America/North_Dakota/Beulah
              - America/North_Dakota/Center
              - America/North_Dakota/New_Salem
              - America/Ojinaga
              - America/Panama
              - America/Rankin_Inlet
              - America/Resolute
              - America/Rio_Branco
              - America/Winnipeg
              - Canada/Central
              - US/Central
              - America/Anguilla
              - America/Antigua
              - America/Aruba
              - America/Asuncion
              - America/Barbados
              - America/Blanc-Sablon
              - America/Boa_Vista
              - America/Campo_Grande
              - America/Caracas
              - America/Cuiaba
              - America/Curacao
              - America/Detroit
              - America/Dominica
              - America/Grand_Turk
              - America/Grenada
              - America/Guadeloupe
              - America/Guyana
              - America/Havana
              - America/Indiana/Indianapolis
              - America/Indiana/Marengo
              - America/Indiana/Petersburg
              - America/Indiana/Vevay
              - America/Indiana/Vincennes
              - America/Indiana/Winamac
              - America/Iqaluit
              - America/Kentucky/Louisville
              - America/Kentucky/Monticello
              - America/Kralendijk
              - America/La_Paz
              - America/Lower_Princes
              - America/Manaus
              - America/Marigot
              - America/Martinique
              - America/Montserrat
              - America/Nassau
              - America/New_York
              - America/Port-au-Prince
              - America/Port_of_Spain
              - America/Porto_Velho
              - America/Puerto_Rico
              - America/Santiago
              - America/Santo_Domingo
              - America/St_Barthelemy
              - America/St_Kitts
              - America/St_Lucia
              - America/St_Thomas
              - America/St_Vincent
              - America/Toronto
              - America/Tortola
              - Canada/Eastern
              - US/Eastern
              - America/Araguaina
              - America/Argentina/Buenos_Aires
              - America/Argentina/Catamarca
              - America/Argentina/Cordoba
              - America/Argentina/Jujuy
              - America/Argentina/La_Rioja
              - America/Argentina/Mendoza
              - America/Argentina/Rio_Gallegos
              - America/Argentina/Salta
              - America/Argentina/San_Juan
              - America/Argentina/San_Luis
              - America/Argentina/Tucuman
              - America/Argentina/Ushuaia
              - America/Bahia
              - America/Belem
              - America/Cayenne
              - America/Fortaleza
              - America/Glace_Bay
              - America/Goose_Bay
              - America/Halifax
              - America/Maceio
              - America/Moncton
              - America/Montevideo
              - America/Paramaribo
              - America/Punta_Arenas
              - America/Recife
              - America/Santarem
              - America/Sao_Paulo
              - America/Thule
              - Antarctica/Palmer
              - Antarctica/Rothera
              - Atlantic/Bermuda
              - Atlantic/Stanley
              - Canada/Atlantic
              - America/St_Johns
              - Canada/Newfoundland
              - America/Miquelon
              - America/Noronha
              - America/Nuuk
              - Atlantic/South_Georgia
              - Atlantic/Cape_Verde
              - Africa/Abidjan
              - Africa/Accra
              - Africa/Bamako
              - Africa/Banjul
              - Africa/Bissau
              - Africa/Conakry
              - Africa/Dakar
              - Africa/Freetown
              - Africa/Lome
              - Africa/Monrovia
              - Africa/Nouakchott
              - Africa/Ouagadougou
              - Africa/Sao_Tome
              - America/Danmarkshavn
              - America/Scoresbysund
              - Atlantic/Azores
              - Atlantic/Reykjavik
              - Atlantic/St_Helena
              - GMT
              - UTC
              - Africa/Algiers
              - Africa/Bangui
              - Africa/Brazzaville
              - Africa/Casablanca
              - Africa/Douala
              - Africa/El_Aaiun
              - Africa/Kinshasa
              - Africa/Lagos
              - Africa/Libreville
              - Africa/Luanda
              - Africa/Malabo
              - Africa/Ndjamena
              - Africa/Niamey
              - Africa/Porto-Novo
              - Africa/Tunis
              - Atlantic/Canary
              - Atlantic/Faroe
              - Atlantic/Madeira
              - Europe/Dublin
              - Europe/Guernsey
              - Europe/Isle_of_Man
              - Europe/Jersey
              - Europe/Lisbon
              - Europe/London
              - Africa/Blantyre
              - Africa/Bujumbura
              - Africa/Ceuta
              - Africa/Gaborone
              - Africa/Harare
              - Africa/Johannesburg
              - Africa/Juba
              - Africa/Khartoum
              - Africa/Kigali
              - Africa/Lubumbashi
              - Africa/Lusaka
              - Africa/Maputo
              - Africa/Maseru
              - Africa/Mbabane
              - Africa/Tripoli
              - Africa/Windhoek
              - Antarctica/Troll
              - Arctic/Longyearbyen
              - Europe/Amsterdam
              - Europe/Andorra
              - Europe/Belgrade
              - Europe/Berlin
              - Europe/Bratislava
              - Europe/Brussels
              - Europe/Budapest
              - Europe/Busingen
              - Europe/Copenhagen
              - Europe/Gibraltar
              - Europe/Kaliningrad
              - Europe/Ljubljana
              - Europe/Luxembourg
              - Europe/Madrid
              - Europe/Malta
              - Europe/Monaco
              - Europe/Oslo
              - Europe/Paris
              - Europe/Podgorica
              - Europe/Prague
              - Europe/Rome
              - Europe/San_Marino
              - Europe/Sarajevo
              - Europe/Skopje
              - Europe/Stockholm
              - Europe/Tirane
              - Europe/Vaduz
              - Europe/Vatican
              - Europe/Vienna
              - Europe/Warsaw
              - Europe/Zagreb
              - Europe/Zurich
              - Africa/Addis_Ababa
              - Africa/Asmara
              - Africa/Cairo
              - Africa/Dar_es_Salaam
              - Africa/Djibouti
              - Africa/Kampala
              - Africa/Mogadishu
              - Africa/Nairobi
              - Antarctica/Syowa
              - Asia/Aden
              - Asia/Amman
              - Asia/Baghdad
              - Asia/Bahrain
              - Asia/Beirut
              - Asia/Damascus
              - Asia/Famagusta
              - Asia/Gaza
              - Asia/Hebron
              - Asia/Jerusalem
              - Asia/Kuwait
              - Asia/Nicosia
              - Asia/Qatar
              - Asia/Riyadh
              - Europe/Athens
              - Europe/Bucharest
              - Europe/Chisinau
              - Europe/Helsinki
              - Europe/Istanbul
              - Europe/Kirov
              - Europe/Kyiv
              - Europe/Mariehamn
              - Europe/Minsk
              - Europe/Moscow
              - Europe/Riga
              - Europe/Simferopol
              - Europe/Sofia
              - Europe/Tallinn
              - Europe/Vilnius
              - Europe/Volgograd
              - Indian/Antananarivo
              - Indian/Comoro
              - Indian/Mayotte
              - Asia/Tehran
              - Asia/Baku
              - Asia/Dubai
              - Asia/Muscat
              - Asia/Tbilisi
              - Asia/Yerevan
              - Europe/Astrakhan
              - Europe/Samara
              - Europe/Saratov
              - Europe/Ulyanovsk
              - Indian/Mahe
              - Indian/Mauritius
              - Indian/Reunion
              - Asia/Kabul
              - Antarctica/Mawson
              - Asia/Aqtau
              - Asia/Aqtobe
              - Asia/Ashgabat
              - Asia/Atyrau
              - Asia/Dushanbe
              - Asia/Karachi
              - Asia/Oral
              - Asia/Qyzylorda
              - Asia/Samarkand
              - Asia/Tashkent
              - Asia/Yekaterinburg
              - Indian/Kerguelen
              - Indian/Maldives
              - Asia/Colombo
              - Asia/Kolkata
              - Asia/Kathmandu
              - Antarctica/Vostok
              - Asia/Almaty
              - Asia/Bishkek
              - Asia/Dhaka
              - Asia/Omsk
              - Asia/Qostanay
              - Asia/Thimphu
              - Asia/Urumqi
              - Indian/Chagos
              - Asia/Yangon
              - Indian/Cocos
              - Antarctica/Davis
              - Asia/Bangkok
              - Asia/Barnaul
              - Asia/Ho_Chi_Minh
              - Asia/Hovd
              - Asia/Jakarta
              - Asia/Krasnoyarsk
              - Asia/Novokuznetsk
              - Asia/Novosibirsk
              - Asia/Phnom_Penh
              - Asia/Pontianak
              - Asia/Tomsk
              - Asia/Vientiane
              - Indian/Christmas
              - Asia/Brunei
              - Asia/Choibalsan
              - Asia/Hong_Kong
              - Asia/Irkutsk
              - Asia/Kuala_Lumpur
              - Asia/Kuching
              - Asia/Macau
              - Asia/Makassar
              - Asia/Manila
              - Asia/Shanghai
              - Asia/Singapore
              - Asia/Taipei
              - Asia/Ulaanbaatar
              - Australia/Perth
              - Australia/Eucla
              - Asia/Chita
              - Asia/Dili
              - Asia/Jayapura
              - Asia/Khandyga
              - Asia/Pyongyang
              - Asia/Seoul
              - Asia/Tokyo
              - Asia/Yakutsk
              - Pacific/Palau
              - Australia/Adelaide
              - Australia/Broken_Hill
              - Australia/Darwin
              - Antarctica/DumontDUrville
              - Antarctica/Macquarie
              - Asia/Ust-Nera
              - Asia/Vladivostok
              - Australia/Brisbane
              - Australia/Hobart
              - Australia/Lindeman
              - Australia/Melbourne
              - Australia/Sydney
              - Pacific/Chuuk
              - Pacific/Guam
              - Pacific/Port_Moresby
              - Pacific/Saipan
              - Australia/Lord_Howe
              - Antarctica/Casey
              - Asia/Magadan
              - Asia/Sakhalin
              - Asia/Srednekolymsk
              - Pacific/Bougainville
              - Pacific/Efate
              - Pacific/Guadalcanal
              - Pacific/Kosrae
              - Pacific/Norfolk
              - Pacific/Noumea
              - Pacific/Pohnpei
              - Antarctica/McMurdo
              - Asia/Anadyr
              - Asia/Kamchatka
              - Pacific/Auckland
              - Pacific/Fiji
              - Pacific/Funafuti
              - Pacific/Kwajalein
              - Pacific/Majuro
              - Pacific/Nauru
              - Pacific/Tarawa
              - Pacific/Wake
              - Pacific/Wallis
              - Pacific/Chatham
              - Pacific/Apia
              - Pacific/Fakaofo
              - Pacific/Kanton
              - Pacific/Tongatapu
              - Pacific/Kiritimati
              type: string
              readOnly: true
            first_name:
              type: string
              maxLength: 150
            last_name:
              type: string
              maxLength: 150
          readOnly: true
          description: User
        user_authorization_bearer:
          type: string
          readOnly: true
          description: 'User Authorization: Bearer token if user is Authenticated'
        user_is_authenticated:
          type: boolean
          readOnly: true
        user_is_verified:
          type: boolean
          readOnly: true
        user_x_verified_jwt:
          type: string
          readOnly: true
          description: User `x-verified-jwt:` if user is Verified
        user_x_verified_jwt_exp:
          type: integer
          readOnly: true
          description: Expiry timestamp (unix epoch) for `x-verified-jwt:`
    ApiAuthRandom:
      type: object
      properties:
        length:
          type: integer
          maximum: 256
          minimum: 8
          default: 16
          description: Length of random text to generate
        text:
          type: string
          readOnly: true
          description: Randomly generated text
    ApiAuthRateLimits:
      type: object
      properties:
        rate_limits:
          type: object
          readOnly: true
          description: method to rate limits
    ApiAuthVerify:
      type: object
      properties:
        user:
          type: object
          properties:
            my_user_url:
              type: string
              readOnly: true
            username:
              type: string
              readOnly: true
              description: Required. 150 characters or fewer. Letters, digits and
                @/./+/-/_ only.
            api_data:
              type: array
              items:
                type: object
                properties:
                  my_api_data_url:
                    type: string
                    readOnly: true
                  api_data_uuid:
                    type: string
                    format: uuid
                    readOnly: true
                  created:
                    type: string
                    format: date-time
                    readOnly: true
                  modified:
                    type: string
                    format: date-time
                    readOnly: true
                  username:
                    type: string
                    readOnly: true
                  json:
                    type: object
                  key:
                    type: string
                    pattern: ^[-a-zA-Z0-9_]+\z
                    minLength: 1
                    maxLength: 100
                required:
                - json
                - key
              readOnly: true
            customer_profile:
              type: object
              properties:
                is_customer_admin:
                  type: boolean
                  readOnly: true
              readOnly: true
            customer_url:
              type: string
              readOnly: true
            customer_uuid:
              type: string
              format: uuid
              readOnly: true
            distributor_profile:
              type: object
              properties:
                is_distributor_admin:
                  type: boolean
                  readOnly: true
              readOnly: true
            distributor_url:
              type: string
              readOnly: true
            distributor_uuid:
              type: string
              format: uuid
              readOnly: true
            email:
              type: string
              format: email
              readOnly: true
            is_active:
              type: boolean
              readOnly: true
              description: Designates whether this user should be treated as active.
                Unselect this instead of deleting accounts.
            is_superuser:
              type: boolean
              readOnly: true
              description: Designates that this user has all permissions without explicitly
                assigning them.
            my_api_data_url:
              type: string
              readOnly: true
            seller_profile:
              type: object
              properties:
                is_seller_admin:
                  type: boolean
                  readOnly: true
              readOnly: true
            seller_url:
              type: string
              readOnly: true
            seller_uuid:
              type: string
              format: uuid
              readOnly: true
            tz:
              enum:
              - Pacific/Midway
              - Pacific/Niue
              - Pacific/Pago_Pago
              - Pacific/Honolulu
              - Pacific/Rarotonga
              - Pacific/Tahiti
              - US/Hawaii
              - Pacific/Marquesas
              - America/Adak
              - Pacific/Gambier
              - America/Anchorage
              - America/Juneau
              - America/Metlakatla
              - America/Nome
              - America/Sitka
              - America/Yakutat
              - Pacific/Pitcairn
              - US/Alaska
              - America/Creston
              - America/Dawson
              - America/Dawson_Creek
              - America/Fort_Nelson
              - America/Hermosillo
              - America/Los_Angeles
              - America/Mazatlan
              - America/Phoenix
              - America/Tijuana
              - America/Vancouver
              - America/Whitehorse
              - Canada/Pacific
              - US/Arizona
              - US/Pacific
              - America/Bahia_Banderas
              - America/Belize
              - America/Boise
              - America/Cambridge_Bay
              - America/Chihuahua
              - America/Ciudad_Juarez
              - America/Costa_Rica
              - America/Denver
              - America/Edmonton
              - America/El_Salvador
              - America/Guatemala
              - America/Inuvik
              - America/Managua
              - America/Merida
              - America/Mexico_City
              - America/Monterrey
              - America/Regina
              - America/Swift_Current
              - America/Tegucigalpa
              - Canada/Mountain
              - Pacific/Easter
              - Pacific/Galapagos
              - US/Mountain
              - America/Atikokan
              - America/Bogota
              - America/Cancun
              - America/Cayman
              - America/Chicago
              - America/Eirunepe
              - America/Guayaquil
              - America/Indiana/Knox
              - America/Indiana/Tell_City
              - America/Jamaica
              - America/Lima
              - America/Matamoros
              - America/Menominee
              - America/North_Dakota/Beulah
              - America/North_Dakota/Center
              - America/North_Dakota/New_Salem
              - America/Ojinaga
              - America/Panama
              - America/Rankin_Inlet
              - America/Resolute
              - America/Rio_Branco
              - America/Winnipeg
              - Canada/Central
              - US/Central
              - America/Anguilla
              - America/Antigua
              - America/Aruba
              - America/Asuncion
              - America/Barbados
              - America/Blanc-Sablon
              - America/Boa_Vista
              - America/Campo_Grande
              - America/Caracas
              - America/Cuiaba
              - America/Curacao
              - America/Detroit
              - America/Dominica
              - America/Grand_Turk
              - America/Grenada
              - America/Guadeloupe
              - America/Guyana
              - America/Havana
              - America/Indiana/Indianapolis
              - America/Indiana/Marengo
              - America/Indiana/Petersburg
              - America/Indiana/Vevay
              - America/Indiana/Vincennes
              - America/Indiana/Winamac
              - America/Iqaluit
              - America/Kentucky/Louisville
              - America/Kentucky/Monticello
              - America/Kralendijk
              - America/La_Paz
              - America/Lower_Princes
              - America/Manaus
              - America/Marigot
              - America/Martinique
              - America/Montserrat
              - America/Nassau
              - America/New_York
              - America/Port-au-Prince
              - America/Port_of_Spain
              - America/Porto_Velho
              - America/Puerto_Rico
              - America/Santiago
              - America/Santo_Domingo
              - America/St_Barthelemy
              - America/St_Kitts
              - America/St_Lucia
              - America/St_Thomas
              - America/St_Vincent
              - America/Toronto
              - America/Tortola
              - Canada/Eastern
              - US/Eastern
              - America/Araguaina
              - America/Argentina/Buenos_Aires
              - America/Argentina/Catamarca
              - America/Argentina/Cordoba
              - America/Argentina/Jujuy
              - America/Argentina/La_Rioja
              - America/Argentina/Mendoza
              - America/Argentina/Rio_Gallegos
              - America/Argentina/Salta
              - America/Argentina/San_Juan
              - America/Argentina/San_Luis
              - America/Argentina/Tucuman
              - America/Argentina/Ushuaia
              - America/Bahia
              - America/Belem
              - America/Cayenne
              - America/Fortaleza
              - America/Glace_Bay
              - America/Goose_Bay
              - America/Halifax
              - America/Maceio
              - America/Moncton
              - America/Montevideo
              - America/Paramaribo
              - America/Punta_Arenas
              - America/Recife
              - America/Santarem
              - America/Sao_Paulo
              - America/Thule
              - Antarctica/Palmer
              - Antarctica/Rothera
              - Atlantic/Bermuda
              - Atlantic/Stanley
              - Canada/Atlantic
              - America/St_Johns
              - Canada/Newfoundland
              - America/Miquelon
              - America/Noronha
              - America/Nuuk
              - Atlantic/South_Georgia
              - Atlantic/Cape_Verde
              - Africa/Abidjan
              - Africa/Accra
              - Africa/Bamako
              - Africa/Banjul
              - Africa/Bissau
              - Africa/Conakry
              - Africa/Dakar
              - Africa/Freetown
              - Africa/Lome
              - Africa/Monrovia
              - Africa/Nouakchott
              - Africa/Ouagadougou
              - Africa/Sao_Tome
              - America/Danmarkshavn
              - America/Scoresbysund
              - Atlantic/Azores
              - Atlantic/Reykjavik
              - Atlantic/St_Helena
              - GMT
              - UTC
              - Africa/Algiers
              - Africa/Bangui
              - Africa/Brazzaville
              - Africa/Casablanca
              - Africa/Douala
              - Africa/El_Aaiun
              - Africa/Kinshasa
              - Africa/Lagos
              - Africa/Libreville
              - Africa/Luanda
              - Africa/Malabo
              - Africa/Ndjamena
              - Africa/Niamey
              - Africa/Porto-Novo
              - Africa/Tunis
              - Atlantic/Canary
              - Atlantic/Faroe
              - Atlantic/Madeira
              - Europe/Dublin
              - Europe/Guernsey
              - Europe/Isle_of_Man
              - Europe/Jersey
              - Europe/Lisbon
              - Europe/London
              - Africa/Blantyre
              - Africa/Bujumbura
              - Africa/Ceuta
              - Africa/Gaborone
              - Africa/Harare
              - Africa/Johannesburg
              - Africa/Juba
              - Africa/Khartoum
              - Africa/Kigali
              - Africa/Lubumbashi
              - Africa/Lusaka
              - Africa/Maputo
              - Africa/Maseru
              - Africa/Mbabane
              - Africa/Tripoli
              - Africa/Windhoek
              - Antarctica/Troll
              - Arctic/Longyearbyen
              - Europe/Amsterdam
              - Europe/Andorra
              - Europe/Belgrade
              - Europe/Berlin
              - Europe/Bratislava
              - Europe/Brussels
              - Europe/Budapest
              - Europe/Busingen
              - Europe/Copenhagen
              - Europe/Gibraltar
              - Europe/Kaliningrad
              - Europe/Ljubljana
              - Europe/Luxembourg
              - Europe/Madrid
              - Europe/Malta
              - Europe/Monaco
              - Europe/Oslo
              - Europe/Paris
              - Europe/Podgorica
              - Europe/Prague
              - Europe/Rome
              - Europe/San_Marino
              - Europe/Sarajevo
              - Europe/Skopje
              - Europe/Stockholm
              - Europe/Tirane
              - Europe/Vaduz
              - Europe/Vatican
              - Europe/Vienna
              - Europe/Warsaw
              - Europe/Zagreb
              - Europe/Zurich
              - Africa/Addis_Ababa
              - Africa/Asmara
              - Africa/Cairo
              - Africa/Dar_es_Salaam
              - Africa/Djibouti
              - Africa/Kampala
              - Africa/Mogadishu
              - Africa/Nairobi
              - Antarctica/Syowa
              - Asia/Aden
              - Asia/Amman
              - Asia/Baghdad
              - Asia/Bahrain
              - Asia/Beirut
              - Asia/Damascus
              - Asia/Famagusta
              - Asia/Gaza
              - Asia/Hebron
              - Asia/Jerusalem
              - Asia/Kuwait
              - Asia/Nicosia
              - Asia/Qatar
              - Asia/Riyadh
              - Europe/Athens
              - Europe/Bucharest
              - Europe/Chisinau
              - Europe/Helsinki
              - Europe/Istanbul
              - Europe/Kirov
              - Europe/Kyiv
              - Europe/Mariehamn
              - Europe/Minsk
              - Europe/Moscow
              - Europe/Riga
              - Europe/Simferopol
              - Europe/Sofia
              - Europe/Tallinn
              - Europe/Vilnius
              - Europe/Volgograd
              - Indian/Antananarivo
              - Indian/Comoro
              - Indian/Mayotte
              - Asia/Tehran
              - Asia/Baku
              - Asia/Dubai
              - Asia/Muscat
              - Asia/Tbilisi
              - Asia/Yerevan
              - Europe/Astrakhan
              - Europe/Samara
              - Europe/Saratov
              - Europe/Ulyanovsk
              - Indian/Mahe
              - Indian/Mauritius
              - Indian/Reunion
              - Asia/Kabul
              - Antarctica/Mawson
              - Asia/Aqtau
              - Asia/Aqtobe
              - Asia/Ashgabat
              - Asia/Atyrau
              - Asia/Dushanbe
              - Asia/Karachi
              - Asia/Oral
              - Asia/Qyzylorda
              - Asia/Samarkand
              - Asia/Tashkent
              - Asia/Yekaterinburg
              - Indian/Kerguelen
              - Indian/Maldives
              - Asia/Colombo
              - Asia/Kolkata
              - Asia/Kathmandu
              - Antarctica/Vostok
              - Asia/Almaty
              - Asia/Bishkek
              - Asia/Dhaka
              - Asia/Omsk
              - Asia/Qostanay
              - Asia/Thimphu
              - Asia/Urumqi
              - Indian/Chagos
              - Asia/Yangon
              - Indian/Cocos
              - Antarctica/Davis
              - Asia/Bangkok
              - Asia/Barnaul
              - Asia/Ho_Chi_Minh
              - Asia/Hovd
              - Asia/Jakarta
              - Asia/Krasnoyarsk
              - Asia/Novokuznetsk
              - Asia/Novosibirsk
              - Asia/Phnom_Penh
              - Asia/Pontianak
              - Asia/Tomsk
              - Asia/Vientiane
              - Indian/Christmas
              - Asia/Brunei
              - Asia/Choibalsan
              - Asia/Hong_Kong
              - Asia/Irkutsk
              - Asia/Kuala_Lumpur
              - Asia/Kuching
              - Asia/Macau
              - Asia/Makassar
              - Asia/Manila
              - Asia/Shanghai
              - Asia/Singapore
              - Asia/Taipei
              - Asia/Ulaanbaatar
              - Australia/Perth
              - Australia/Eucla
              - Asia/Chita
              - Asia/Dili
              - Asia/Jayapura
              - Asia/Khandyga
              - Asia/Pyongyang
              - Asia/Seoul
              - Asia/Tokyo
              - Asia/Yakutsk
              - Pacific/Palau
              - Australia/Adelaide
              - Australia/Broken_Hill
              - Australia/Darwin
              - Antarctica/DumontDUrville
              - Antarctica/Macquarie
              - Asia/Ust-Nera
              - Asia/Vladivostok
              - Australia/Brisbane
              - Australia/Hobart
              - Australia/Lindeman
              - Australia/Melbourne
              - Australia/Sydney
              - Pacific/Chuuk
              - Pacific/Guam
              - Pacific/Port_Moresby
              - Pacific/Saipan
              - Australia/Lord_Howe
              - Antarctica/Casey
              - Asia/Magadan
              - Asia/Sakhalin
              - Asia/Srednekolymsk
              - Pacific/Bougainville
              - Pacific/Efate
              - Pacific/Guadalcanal
              - Pacific/Kosrae
              - Pacific/Norfolk
              - Pacific/Noumea
              - Pacific/Pohnpei
              - Antarctica/McMurdo
              - Asia/Anadyr
              - Asia/Kamchatka
              - Pacific/Auckland
              - Pacific/Fiji
              - Pacific/Funafuti
              - Pacific/Kwajalein
              - Pacific/Majuro
              - Pacific/Nauru
              - Pacific/Tarawa
              - Pacific/Wake
              - Pacific/Wallis
              - Pacific/Chatham
              - Pacific/Apia
              - Pacific/Fakaofo
              - Pacific/Kanton
              - Pacific/Tongatapu
              - Pacific/Kiritimati
              type: string
              readOnly: true
            first_name:
              type: string
              maxLength: 150
            last_name:
              type: string
              maxLength: 150
          readOnly: true
        user_is_authenticated:
          type: boolean
          readOnly: true
        user_is_verified:
          type: boolean
          readOnly: true
        email_action:
          enum:
          - sent
          - resent
          - null
          readOnly: true
        code:
          type: string
          description: Verify Code
          maxLength: 6
        trust:
          type: boolean
          description: Trust this device for 60 days
        x_verified_jwt:
          type: string
          readOnly: true
          description: Supply this in `x-verified-jwt:`
        x_verified_jwt_exp:
          type: integer
          readOnly: true
          description: Expiry timestamp (unix epoch) for `x-verified-jwt:`
        jwt_expiry:
          type: string
          format: date-time
          description: Expiry datetime for supplied JWT
    ApiAuthAuthToken:
      type: object
      properties:
        authtoken:
          type: object
          properties:
            token:
              type: string
              readOnly: true
              description: Query Parameter `?authtoken=...` may be used for alternative
                authentication
            exp:
              type: integer
              readOnly: true
              description: Expiry timestamp (unix epoch) for `authtoken`
          readOnly: true
    ApiAuthCustomerSignup:
      type: object
      properties:
        abn:
          type: string
          pattern: ^\d{11}$
          maxLength: 11
        code:
          type: string
          maxLength: 4
          minLength: 4
        contact_email:
          type: string
          format: email
          maxLength: 254
        contact_name:
          type: string
          maxLength: 100
        name:
          type: string
          maxLength: 100
        recording_fetch_start_time:
          type: string
          nullable: true
          description: 'HH:MM If Start is after Stop fetch between: Start to Midnight
            otherwise Start to Stop. If empty, fetch any time'
        recording_fetch_stop_time:
          type: string
          nullable: true
          description: 'HH:MM If Stop is before Start fetch between: Midnight to Stop
            otherwise Start to Stop. If empty, fetch any time'
        sellers:
          type: array
          items:
            type: object
            properties:
              seller_uuid:
                type: string
                format: uuid
            required:
            - seller_uuid
        timezone:
          enum:
          - Pacific/Midway
          - Pacific/Niue
          - Pacific/Pago_Pago
          - Pacific/Honolulu
          - Pacific/Rarotonga
          - Pacific/Tahiti
          - US/Hawaii
          - Pacific/Marquesas
          - America/Adak
          - Pacific/Gambier
          - America/Anchorage
          - America/Juneau
          - America/Metlakatla
          - America/Nome
          - America/Sitka
          - America/Yakutat
          - Pacific/Pitcairn
          - US/Alaska
          - America/Creston
          - America/Dawson
          - America/Dawson_Creek
          - America/Fort_Nelson
          - America/Hermosillo
          - America/Los_Angeles
          - America/Mazatlan
          - America/Phoenix
          - America/Tijuana
          - America/Vancouver
          - America/Whitehorse
          - Canada/Pacific
          - US/Arizona
          - US/Pacific
          - America/Bahia_Banderas
          - America/Belize
          - America/Boise
          - America/Cambridge_Bay
          - America/Chihuahua
          - America/Ciudad_Juarez
          - America/Costa_Rica
          - America/Denver
          - America/Edmonton
          - America/El_Salvador
          - America/Guatemala
          - America/Inuvik
          - America/Managua
          - America/Merida
          - America/Mexico_City
          - America/Monterrey
          - America/Regina
          - America/Swift_Current
          - America/Tegucigalpa
          - Canada/Mountain
          - Pacific/Easter
          - Pacific/Galapagos
          - US/Mountain
          - America/Atikokan
          - America/Bogota
          - America/Cancun
          - America/Cayman
          - America/Chicago
          - America/Eirunepe
          - America/Guayaquil
          - America/Indiana/Knox
          - America/Indiana/Tell_City
          - America/Jamaica
          - America/Lima
          - America/Matamoros
          - America/Menominee
          - America/North_Dakota/Beulah
          - America/North_Dakota/Center
          - America/North_Dakota/New_Salem
          - America/Ojinaga
          - America/Panama
          - America/Rankin_Inlet
          - America/Resolute
          - America/Rio_Branco
          - America/Winnipeg
          - Canada/Central
          - US/Central
          - America/Anguilla
          - America/Antigua
          - America/Aruba
          - America/Asuncion
          - America/Barbados
          - America/Blanc-Sablon
          - America/Boa_Vista
          - America/Campo_Grande
          - America/Caracas
          - America/Cuiaba
          - America/Curacao
          - America/Detroit
          - America/Dominica
          - America/Grand_Turk
          - America/Grenada
          - America/Guadeloupe
          - America/Guyana
          - America/Havana
          - America/Indiana/Indianapolis
          - America/Indiana/Marengo
          - America/Indiana/Petersburg
          - America/Indiana/Vevay
          - America/Indiana/Vincennes
          - America/Indiana/Winamac
          - America/Iqaluit
          - America/Kentucky/Louisville
          - America/Kentucky/Monticello
          - America/Kralendijk
          - America/La_Paz
          - America/Lower_Princes
          - America/Manaus
          - America/Marigot
          - America/Martinique
          - America/Montserrat
          - America/Nassau
          - America/New_York
          - America/Port-au-Prince
          - America/Port_of_Spain
          - America/Porto_Velho
          - America/Puerto_Rico
          - America/Santiago
          - America/Santo_Domingo
          - America/St_Barthelemy
          - America/St_Kitts
          - America/St_Lucia
          - America/St_Thomas
          - America/St_Vincent
          - America/Toronto
          - America/Tortola
          - Canada/Eastern
          - US/Eastern
          - America/Araguaina
          - America/Argentina/Buenos_Aires
          - America/Argentina/Catamarca
          - America/Argentina/Cordoba
          - America/Argentina/Jujuy
          - America/Argentina/La_Rioja
          - America/Argentina/Mendoza
          - America/Argentina/Rio_Gallegos
          - America/Argentina/Salta
          - America/Argentina/San_Juan
          - America/Argentina/San_Luis
          - America/Argentina/Tucuman
          - America/Argentina/Ushuaia
          - America/Bahia
          - America/Belem
          - America/Cayenne
          - America/Fortaleza
          - America/Glace_Bay
          - America/Goose_Bay
          - America/Halifax
          - America/Maceio
          - America/Moncton
          - America/Montevideo
          - America/Paramaribo
          - America/Punta_Arenas
          - America/Recife
          - America/Santarem
          - America/Sao_Paulo
          - America/Thule
          - Antarctica/Palmer
          - Antarctica/Rothera
          - Atlantic/Bermuda
          - Atlantic/Stanley
          - Canada/Atlantic
          - America/St_Johns
          - Canada/Newfoundland
          - America/Miquelon
          - America/Noronha
          - America/Nuuk
          - Atlantic/South_Georgia
          - Atlantic/Cape_Verde
          - Africa/Abidjan
          - Africa/Accra
          - Africa/Bamako
          - Africa/Banjul
          - Africa/Bissau
          - Africa/Conakry
          - Africa/Dakar
          - Africa/Freetown
          - Africa/Lome
          - Africa/Monrovia
          - Africa/Nouakchott
          - Africa/Ouagadougou
          - Africa/Sao_Tome
          - America/Danmarkshavn
          - America/Scoresbysund
          - Atlantic/Azores
          - Atlantic/Reykjavik
          - Atlantic/St_Helena
          - GMT
          - UTC
          - Africa/Algiers
          - Africa/Bangui
          - Africa/Brazzaville
          - Africa/Casablanca
          - Africa/Douala
          - Africa/El_Aaiun
          - Africa/Kinshasa
          - Africa/Lagos
          - Africa/Libreville
          - Africa/Luanda
          - Africa/Malabo
          - Africa/Ndjamena
          - Africa/Niamey
          - Africa/Porto-Novo
          - Africa/Tunis
          - Atlantic/Canary
          - Atlantic/Faroe
          - Atlantic/Madeira
          - Europe/Dublin
          - Europe/Guernsey
          - Europe/Isle_of_Man
          - Europe/Jersey
          - Europe/Lisbon
          - Europe/London
          - Africa/Blantyre
          - Africa/Bujumbura
          - Africa/Ceuta
          - Africa/Gaborone
          - Africa/Harare
          - Africa/Johannesburg
          - Africa/Juba
          - Africa/Khartoum
          - Africa/Kigali
          - Africa/Lubumbashi
          - Africa/Lusaka
          - Africa/Maputo
          - Africa/Maseru
          - Africa/Mbabane
          - Africa/Tripoli
          - Africa/Windhoek
          - Antarctica/Troll
          - Arctic/Longyearbyen
          - Europe/Amsterdam
          - Europe/Andorra
          - Europe/Belgrade
          - Europe/Berlin
          - Europe/Bratislava
          - Europe/Brussels
          - Europe/Budapest
          - Europe/Busingen
          - Europe/Copenhagen
          - Europe/Gibraltar
          - Europe/Kaliningrad
          - Europe/Ljubljana
          - Europe/Luxembourg
          - Europe/Madrid
          - Europe/Malta
          - Europe/Monaco
          - Europe/Oslo
          - Europe/Paris
          - Europe/Podgorica
          - Europe/Prague
          - Europe/Rome
          - Europe/San_Marino
          - Europe/Sarajevo
          - Europe/Skopje
          - Europe/Stockholm
          - Europe/Tirane
          - Europe/Vaduz
          - Europe/Vatican
          - Europe/Vienna
          - Europe/Warsaw
          - Europe/Zagreb
          - Europe/Zurich
          - Africa/Addis_Ababa
          - Africa/Asmara
          - Africa/Cairo
          - Africa/Dar_es_Salaam
          - Africa/Djibouti
          - Africa/Kampala
          - Africa/Mogadishu
          - Africa/Nairobi
          - Antarctica/Syowa
          - Asia/Aden
          - Asia/Amman
          - Asia/Baghdad
          - Asia/Bahrain
          - Asia/Beirut
          - Asia/Damascus
          - Asia/Famagusta
          - Asia/Gaza
          - Asia/Hebron
          - Asia/Jerusalem
          - Asia/Kuwait
          - Asia/Nicosia
          - Asia/Qatar
          - Asia/Riyadh
          - Europe/Athens
          - Europe/Bucharest
          - Europe/Chisinau
          - Europe/Helsinki
          - Europe/Istanbul
          - Europe/Kirov
          - Europe/Kyiv
          - Europe/Mariehamn
          - Europe/Minsk
          - Europe/Moscow
          - Europe/Riga
          - Europe/Simferopol
          - Europe/Sofia
          - Europe/Tallinn
          - Europe/Vilnius
          - Europe/Volgograd
          - Indian/Antananarivo
          - Indian/Comoro
          - Indian/Mayotte
          - Asia/Tehran
          - Asia/Baku
          - Asia/Dubai
          - Asia/Muscat
          - Asia/Tbilisi
          - Asia/Yerevan
          - Europe/Astrakhan
          - Europe/Samara
          - Europe/Saratov
          - Europe/Ulyanovsk
          - Indian/Mahe
          - Indian/Mauritius
          - Indian/Reunion
          - Asia/Kabul
          - Antarctica/Mawson
          - Asia/Aqtau
          - Asia/Aqtobe
          - Asia/Ashgabat
          - Asia/Atyrau
          - Asia/Dushanbe
          - Asia/Karachi
          - Asia/Oral
          - Asia/Qyzylorda
          - Asia/Samarkand
          - Asia/Tashkent
          - Asia/Yekaterinburg
          - Indian/Kerguelen
          - Indian/Maldives
          - Asia/Colombo
          - Asia/Kolkata
          - Asia/Kathmandu
          - Antarctica/Vostok
          - Asia/Almaty
          - Asia/Bishkek
          - Asia/Dhaka
          - Asia/Omsk
          - Asia/Qostanay
          - Asia/Thimphu
          - Asia/Urumqi
          - Indian/Chagos
          - Asia/Yangon
          - Indian/Cocos
          - Antarctica/Davis
          - Asia/Bangkok
          - Asia/Barnaul
          - Asia/Ho_Chi_Minh
          - Asia/Hovd
          - Asia/Jakarta
          - Asia/Krasnoyarsk
          - Asia/Novokuznetsk
          - Asia/Novosibirsk
          - Asia/Phnom_Penh
          - Asia/Pontianak
          - Asia/Tomsk
          - Asia/Vientiane
          - Indian/Christmas
          - Asia/Brunei
          - Asia/Choibalsan
          - Asia/Hong_Kong
          - Asia/Irkutsk
          - Asia/Kuala_Lumpur
          - Asia/Kuching
          - Asia/Macau
          - Asia/Makassar
          - Asia/Manila
          - Asia/Shanghai
          - Asia/Singapore
          - Asia/Taipei
          - Asia/Ulaanbaatar
          - Australia/Perth
          - Australia/Eucla
          - Asia/Chita
          - Asia/Dili
          - Asia/Jayapura
          - Asia/Khandyga
          - Asia/Pyongyang
          - Asia/Seoul
          - Asia/Tokyo
          - Asia/Yakutsk
          - Pacific/Palau
          - Australia/Adelaide
          - Australia/Broken_Hill
          - Australia/Darwin
          - Antarctica/DumontDUrville
          - Antarctica/Macquarie
          - Asia/Ust-Nera
          - Asia/Vladivostok
          - Australia/Brisbane
          - Australia/Hobart
          - Australia/Lindeman
          - Australia/Melbourne
          - Australia/Sydney
          - Pacific/Chuuk
          - Pacific/Guam
          - Pacific/Port_Moresby
          - Pacific/Saipan
          - Australia/Lord_Howe
          - Antarctica/Casey
          - Asia/Magadan
          - Asia/Sakhalin
          - Asia/Srednekolymsk
          - Pacific/Bougainville
          - Pacific/Efate
          - Pacific/Guadalcanal
          - Pacific/Kosrae
          - Pacific/Norfolk
          - Pacific/Noumea
          - Pacific/Pohnpei
          - Antarctica/McMurdo
          - Asia/Anadyr
          - Asia/Kamchatka
          - Pacific/Auckland
          - Pacific/Fiji
          - Pacific/Funafuti
          - Pacific/Kwajalein
          - Pacific/Majuro
          - Pacific/Nauru
          - Pacific/Tarawa
          - Pacific/Wake
          - Pacific/Wallis
          - Pacific/Chatham
          - Pacific/Apia
          - Pacific/Fakaofo
          - Pacific/Kanton
          - Pacific/Tongatapu
          - Pacific/Kiritimati
          type: string
      required:
      - abn
      - contact_email
      - contact_name
      - name
      - sellers
      - timezone
    ApiAuthPasswordReset:
      type: object
      properties:
        email:
          type: string
          format: email
      required:
      - email
